Subject: Re: Bug#630845: linux-image-2.6.39-2-powerpc: CHRP Pegasos2 boot failure

From: Gabriel Paubert <[email-masked]>
Date: Tue, 28 Jun 2011 14:51:48 +0200

On Sun, Jun 26, 2011 at 11:14:13PM +0100, Ben Hutchings wrote:
> On Thu, 2011-06-23 at 20:36 +0800, Andrew Buckeridge wrote:
> > Package: linux-image-3.0.0-rc3-powerpc
> > Version: 3.0.0~rc3-1~experimental.1
> > 
> > On Wed, 22 Jun 2011 04:01:38 +0100
> > Ben Hutchings <[email-masked]> wrote:
> > 
> > > > linux-image-2.6.36-trunk-powerpc_2.6.36-1~experimental.1_powerpc.deb
> > > > linux-image-2.6.37-1-powerpc_2.6.37-1_powerpc.deb
> > > > linux-image-2.6.37-2-powerpc_2.6.37-2_powerpc.deb
> > > > These failed to boot. In all cases stuck at the spinner.
> > > 
> > > At a guess, this may be fixed by a change in Linux 3.0-rc1:
> > 
> > > Please can you test Linux 3.0-rc3, currently available in experimental?
> > 
> > linux-image-3.0.0-rc3-powerpc_3.0.0~rc3-1~experimental.1_powerpc.deb
> > Also failed to boot and got stuck at spinner.
> 
> Gabriel, Michael, do you recognise this bug?  Are there any fixes for
> Pegasos that are missing from 3.0-rc3?

What do you mean by the spinner? I've had very long boot times with 
an apparently dead machine depending on graphics options.

For now I'm running 2.6.39 with one patch for keyboard/mouse handling
which is now upstream.

I can try a more recent kernel on Thursday.

	Gabriel